// Javascript written by Tyler Mulligan
// http://www.detrition.net

// Load shadowbox skin
Shadowbox.loadSkin('classic', 'js/skin'); // use the "classic" skin

$(document).ready(function() {
	// Info Box
	$('.info_content').hide();
	$('.info_content p').hide();
	$('.info_content code').hide();
	$('.info_header h2 a').text("Click Here to Learn how to Install Games from PlayDeb");
	$('.info_header a').click(function () { 
      $('.info_content').slideToggle('fast');
      $('.info_content p').fadeIn(1200);
      $('.info_content code').fadeIn(1800);
	  return false;
    });

	// Genre Dropdown
	$('#genre li').hover(
		function(){ $('ul', this).fadeIn('fast'); }, 
		function() { } 
	);
	if (document.all) {
		$('#genre li').hoverClass ('sfHover');
	}
	
	// Shadowbox
	var options = {
        resizeLgImages:     true,
        displayNav:         true,
        handleUnsupported:  'remove',
        enableKeys:			true
    };

    Shadowbox.init(options);
	
	// Ratings
	$('.the_stars :radio.star').rating(); 
	
	// Tags
	$('.add_tag').hide();
	$('.add_new_tag').click(function () { 
		$(this).parent().children('.add_tag').fadeIn();
		return false;
    });
	$('.add_tag_submit').click(function () {
		//$(this).parent('.tags_container').children('.tags').fadeOut();
		$(this).parent().parent('.tags_container').children('.tags').fadeOut();
		$(this).parent().fadeOut();
		// Database requery - then:
		var newtag = $(this).parent().children('.add_tag_box').val()
		if (newtag=="") { newtag="new tag!" }
		$(this).parent().parent('.tags_container').children('.tags').append(", " + newtag );
		$(this).parent().parent('.tags_container').children('.tags').fadeIn();
	});

});

// Dropdown Function
$.fn.hoverClass = function(c) {
	return this.each(function(){
		$(this).hover( 
			function() { $(this).addClass(c);  },
			function() { $(this).removeClass(c); }
		);
	});
};
